name: adhd_scheduling_workspace
publish_to: none

environment:
  sdk: '>=3.6.0 <4.0.0'

workspace:
  - packages/scheduler_backup
  - packages/scheduler_core
  - packages/scheduler_export
  - packages/scheduler_export_json
  - packages/scheduler_integration_tests
  - packages/scheduler_notifications
  - packages/scheduler_notifications_desktop
  - packages/scheduler_persistence
  - packages/scheduler_persistence_memory
  - packages/scheduler_persistence_sqlite

dependencies:
  scheduler_backup: any
  scheduler_core: any
  scheduler_export: any
  scheduler_export_json: any
  scheduler_integration_tests: any
  scheduler_notifications: any
  scheduler_notifications_desktop: any
  scheduler_persistence: any
  scheduler_persistence_memory: any
  scheduler_persistence_sqlite: any

dev_dependencies:
  build_runner: ^2.4.13
  coverage: ^1.11.0
  test: ^1.25.0
